import request from '@/utils/request'
const service_name = "identity-service"
const group_name = "oilUser"

export default {
  loginWeixin (code) {
     return request({
       url: `/${service_name}/${group_name}/loginWeixin`,
       method: 'post',
       data: {
		   code
	   }
     })
   },
   registerWeixin (data) {
      return request({
        url: `/${service_name}/${group_name}/registerWeixin`,
        method: 'post',
        data:data
      })
    },
	registerWeixinSMS (data) {
	   return request({
	     url: `/${service_name}/${group_name}/registerWeixinSMS`,
	     method: 'post',
	     data:data
	   })
	 },
	 loginAppSendSms (data) {
	    return request({
	      url: `/${service_name}/${group_name}/loginAppSms`,
	      method: 'post',
	      data:data
	    })
	  },
	  //  旧登录接口
	  // loginWeiXinSMS (data) {
	  //    return request({
	  //      url: `/${service_name}/${group_name}/loginWeiXinSMS`,
	  //      method: 'post',
	  //      data:data
	  //    })
	  //  },
	   loginWeiXinByPassword (data) {
	      return request({
	        url: `/${service_name}/${group_name}/loginWeiXinByPassword`,
	        method: 'post',
	        data:data
	      })
	    },
	 
	
}
