import request from '@/utils/request'
const service_name ='oil-user'
const group_name ='oilCustomerChannelRelation' 
const change_phone ='sysCustomerInfo'
export default{
	//根据用户手机查询油站
	getByPhone(phone){
		 return request({
		   url: `/${service_name}/${group_name}/getByPhone/${phone}`,
		   method: 'get'
		})
	},
	testButton(){
		 return request({
		   url: `/oil-finance/oilOrderInfo/aggregatePayNotify`,
		   method: 'post',
		   data:{
				  otherOrderNumber: "XOILAWMP202111160013109293",
				  receiptMessage: "123",
				  receiptResult: 1,
				  receiptTime: "2021-11-16 13:29:23"
			}
		})
	},
	//发送更换手机号验证码(旧手机号)
	sendOldPhoneSms(data){
		 return request({
		   url: `/${service_name}/${change_phone}/sendOldPhoneSms`,
		   method: 'post',
		   data:data
		})
	},
	//验证旧手机号验证码(旧手机号)
	checkOldPhoneCode(data){
		 return request({
		   url: `/${service_name}/${change_phone}/checkOldPhoneCode`,
		   method: 'post',
		   data:data
		})
	},
	//发送更换手机号验证码(新手机号)
	sendNewPhoneSms(data){
		 return request({
		   url: `/${service_name}/${change_phone}/sendNewPhoneSms`,
		   method: 'post',
		   data:data
		})
	},
	//保存修改的手机号(新手机号)
	changeNewPhone(data){
		 return request({
		   url: `/${service_name}/${change_phone}/changeNewPhone`,
		   method: 'post',
		   data:data
		})
	},
	//发送更换密码短信
	changePwdSms(data){
		 return request({
		   url: `/${service_name}/${change_phone}/changePwdSms`,
		   method: 'post',
		   data:data
		})
	},
	//保存修改密码
	changePwd(data){
		 return request({
		   url: `/${service_name}/${change_phone}/changePwd`,
		   method: 'post',
		   data:data
		})
	},
	//员工保存
	addNewStaff(data){
		 return request({
		   url: `/${service_name}/${change_phone}/addNewStaff`,
		   method: 'post',
		   data:data
		})
	},
	//员工保存
	removeStaff(data){
		 return request({
		   url: `/${service_name}/${change_phone}/removeStaff`,
		   method: 'post',
		   data:data
		})
	},
	// 测试接口
	// oil-user/sysCustomerInfo/initCouldUser/{initCouldUser} GET
	initCouldUser(){
		 return request({
		   url: `/${service_name}/sysCustomerInfo/initCouldUser/initCouldUser`,
		   method: 'GET' 
		})
	},
}